onClipEvent (load) {
	// --------------------------------------------------------------------
	// FUNCTION LIBRARY
	// --------------------------------------------------------------------

	// FUNCTION: to create timezone offset string
	function setTimezoneOffsetString(zone) {
		if (zone > 0) {zone = "+" + zone};
		return zone;
	}
	
	// FUNCTION: to return a number as a double digit string
	function doubleDigits(val) {
		if (val > 9) {return val} else {return "0" + val}
	}

	// FUNCTION: to return the time formatted with zeros
	function timeString(inDate) {
		return	doubleDigits(inDate.getUTCHours()) + " : " 
			+ doubleDigits(inDate.getUTCMinutes()) + " : " 
			+ doubleDigits(inDate.getUTCSeconds());
	}
	
	// FUNCTION: to return the date as a string
	function dateString(inDate) {
		return	inDate.getUTCDayName() + " " 
			+ inDate.getUTCDate() + " " 
			+ inDate.getUTCMonthName() + " " 
			+ inDate.getUTCFullYear();
	}
	
	// FUNCTION: to return the weekday name
	Date.prototype.getUTCDayName = function() {
		var daynames = new Array('Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday');
		return daynames[this.getUTCDay()];
	};

	// FUNCTION: to return the month name
	Date.prototype.getUTCMonthName = function() {
		var monthnames = monthnames = new Array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
		return monthnames[this.getUTCMonth()];
	};
	
	// FUNCTION: to set clock times
	function setClocks() {
	
		// Cycle through maps
		for (i = 1; i < 4; i++) {
		
			// Cycle through clocks
			for (j = 1; j <= 24; j++) {
			
				// Get zone offset converted to minutes
				zoneOffset = (j - 13) * 60;
	
				// Apply zone offset
				zone = new Date();
				zone.setMinutes(now.getUTCMinutes() + zoneOffset);
	
				// Draw clock hands
				this["map" + i]["clock" + j].Hands.Hour_hand._rotation = (zone.getUTCHours() * 30) + (zone.getUTCMinutes() / 10);
				
				this["map" + i]["clock" + j].Hands.Minute_hand._rotation = (zone.getUTCMinutes() * 6) + (zone.getUTCSeconds() / 10);
			}
		}
	}
	
	// --------------------------------------------------------------------
	// INITIALISE
	// --------------------------------------------------------------------

	// Create new Date object
	now = new Date();
	
	// Create timezone offset value	
	// Convert mins to hours and express as negative
	now_timezoneOffset = -(now.getTimezoneOffset() / 60);
	
	// Create timezone offset string
	TimezoneOffsetString = setTimezoneOffsetString(now_timezoneOffset);
	_root.zone = now_timezoneOffset
	
	// Set map x-coordinate to users timezone
	zoneWidth = Stage.width / 24;
	this._x = (-now_timezoneOffset * zoneWidth);
	
	// Draw map clocks every minute
	setInterval(setClocks(), 60 * 1000);
}

onClipEvent (enterFrame) {

	// Set Time Zone Offset String
	TimezoneOffsetString = setTimezoneOffsetString(_root.zone);
	
	// Set UTC Date object
	now = new Date();
	nowDate = dateString(now);
	nowTime = timeString(now);

	// Set Zone Date object
	Mousezone = new Date();
	Mousezone.setMinutes(now.getUTCMinutes() + (_root.zone * 60));
	MousezoneDate = dateString(Mousezone);
	MousezoneTime = timeString(Mousezone);

	// Draw UTC clock
	_root.UTCClock.Hands.Second_Hand._visible = true;
	_root.UTCClock.Hands.Second_Hand._rotation = (now.getUTCSeconds() * 6);
	_root.UTCClock.Hands.Hour_hand._rotation = (now.getUTCHours() * 30) + (now.getUTCMinutes() / 10);
	_root.UTCClock.Hands.Minute_hand._rotation = (now.getUTCMinutes() * 6) + (now.getUTCSeconds() / 10);

	// Draw zone clock
	_root.ZoneClock.Hands.Second_Hand._visible = true;
	_root.ZoneClock.Hands.Second_Hand._rotation = (MouseZone.getUTCSeconds() * 6);
	_root.ZoneClock.Hands.Hour_hand._rotation = (MouseZone.getUTCHours() * 30) + (MouseZone.getUTCMinutes() / 10);
	_root.ZoneClock.Hands.Minute_hand._rotation = (MouseZone.getUTCMinutes() * 6) + (MouseZone.getUTCSeconds() / 10);
}
